<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEngineersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('engineers', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name');
            $table->string('companyName');
            $table->string('companyRegNo');
            $table->string('email');
            $table->string('phone');
            $table->string('mobile');
            $table->string('address1');
            $table->string('address2');
            $table->string('city');
            $table->string('postcode');
            $table->string('safeRegistered')->nullable();
            $table->string('registrationNumber')->nullable();;
            $table->string('policyNumber');
            $table->string('providersName');
            $table->string('coverLimit');
            $table->timestamp('renewalDate');
            $table->string('vatRegistered')->nullable();
            $table->string('vatRegisteredNumber')->nullable();;
            $table->string('type');
            $table->integer('status')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('engineers');
    }
}
